# Interface BlockUploader.BlockStats

Enclosing class:
  `BlockUploader`

public static interface BlockUploader.BlockStats
Provides information about a match.

Since:
  15 May 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlockCount()`
Returns the number of blocks uploaded.
`int`
`getTruncatedBlockCount()`
Returns the number of blocks whose results were truncated.

## Method Details

### getBlockCount

int getBlockCount()
Returns the number of blocks uploaded.

Returns:
  uploaded block count

### getTruncatedBlockCount

int getTruncatedBlockCount()
Returns the number of blocks whose results were truncated.

Returns:
  truncated block count